%define upstream_name Horde_Rdo
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.1.1
Release:     	%mkrel 1
Summary:    	Rampage Data Objects
License:    	LGPL
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:  	php-pear-Horde_Db <= 2.0.0 
Conflicts:  	php-pear-Horde_DB = 2.0.0 
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Rdo


%description
Lightweight ORM layer

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Rdo.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Rdo.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Rdo
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Rdo/*
%{peardir}/Horde/Rdo.php
%{peardir}/Horde/Rdo/Base.php
%{peardir}/Horde/Rdo/Exception.php
%{peardir}/Horde/Rdo/Iterator.php
%{peardir}/Horde/Rdo/List.php
%{peardir}/Horde/Rdo/Mapper.php
%{peardir}/Horde/Rdo/Query.php
%{peardir}/Horde/Rdo/Query/Literal.php
%{peardir}/tests/Horde_Rdo/Horde/Rdo/AllTests.php
%{peardir}/tests/Horde_Rdo/Horde/Rdo/Autoload.php
%{peardir}/tests/Horde_Rdo/Horde/Rdo/Base.php
%{peardir}/tests/Horde_Rdo/Horde/Rdo/Objects/RelatedThing.php
%{peardir}/tests/Horde_Rdo/Horde/Rdo/Objects/RelatedThingMapper.php
%{peardir}/tests/Horde_Rdo/Horde/Rdo/Objects/SomeEagerBaseObject.php
%{peardir}/tests/Horde_Rdo/Horde/Rdo/Objects/SomeEagerBaseObjectMapper.php
%{peardir}/tests/Horde_Rdo/Horde/Rdo/Objects/SomeLazyBaseObject.php
%{peardir}/tests/Horde_Rdo/Horde/Rdo/Objects/SomeLazyBaseObjectMapper.php
%{peardir}/tests/Horde_Rdo/Horde/Rdo/Sql/Base.php
%{peardir}/tests/Horde_Rdo/Horde/Rdo/Sql/Pdo/SqliteTest.php
%{peardir}/tests/Horde_Rdo/Horde/Rdo/fixtures/unit_tests.sql
%{peardir}/tests/Horde_Rdo/Horde/Rdo/phpunit.xml
%{xmldir}/Horde_Rdo.xml


%changelog

* Mon Feb 27 2012 spuhler <spuhler> 1.1.1-1.mga2
+ Revision: 215535
- update to 1.1.1

* Mon Nov 07 2011 spuhler <spuhler> 1.1.0-1.mga2
+ Revision: 164662
- upgrade to 1.1.0
- imported package php-pear-Horde_Rdo

